package com.ssj.service.kmt.arrange.service;


import java.util.List;
import java.util.Map;

import com.ssj.bean.kmt.kmt.domain.KmtArrangeDetail;
import com.ssj.bean.kmt.kmt.domain.KmtArrangeTemplate;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.kmt.arrange.dto.ArrangeTemplateIntervalDto;
import com.ssj.service.kmt.arrange.dto.CurCalendarDto;

public interface KmtArrangeTemplateService extends BaseService<KmtArrangeTemplate, String> {
	
	/**
	 * 这个月1号的0点生成下一个月的日历表,【定时任务】
	 */
	void generateKmtArrangeDetailByNextMonth();
	
	/**
	 * 这个月25号的0点更新下一个月的日历表的最少人数，饱和量,【定时任务】
	 */
	void updateKmtArrangeDetailByNextMonth();
	
	/**
	 * 手动更新下一个月的日历表的最少人数，指定活泼数，生成饱和量.
	 * activeNum ： 活泼数
	 */
	void updateKmtArrangeDetailByNextMonth(Integer activeNum);
	
	
	
	/**
	 * 更新排班的活泼数量
	 */
    void updateKmtArrangeTemplateByActiveNum(int activeNum);
    
    
    List<CurCalendarDto>  findArrangeTemplateIntervalList();
    
    //老师上课前10分钟推送提醒
    void  pushArrangeTemplateByUserList();
    
	/**
	 * 得到最近的时间段模板
	 * @return
	 */
    KmtArrangeTemplate getKmtArrangeDetailByCurTime();
	


}
